Quassel IRC - Bug #472

quit on mono-client closes the gui - but process contiues to live ...

01/08/2009 12:32 AM - DeepDiver

Status: Closed Start date: 01/08/2009
Priority: Normal Due date: 02/16/2009
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.3.1 0S: Any
Description

well - as the subject says ....
ask if you need more information.

PS: Ctrl-C and/or kill done help either - only kill -9 does the job ....

History

#1 - 01/20/2009 08:37 PM - EgS
- Due date set to 02/16/2009

- Status changed from New to Feedback

Noone was able to reproduce it.
Please provide as much information as possible.

#2 - 01/21/2009 10:33 AM - DeepDiver
EgS wrote:
Noone was able to reproduce it.
Please provide as much information as possible.
I'll attach a debugger to the client and see if i can find anything.
I'll let you know asap.
Take care
Tom

#3 - 01/22/2009 12:19 AM - DeepDiver
- File quassel.kdbg.png added

screenshot of kdbg attached....

the process is stuck in the destructor of QApplication, down somewhere in the QHostInfo class of Qt

Maybe some bug in gt or a missing abort to a running lookup ...

#4 - 01/26/2009 12:06 AM - EgS

Hmm... some thread doesn't want to exit... very strange.

Could you please test it with a clean config? Aka: clear ~/.quassel and ~/.config/quassel whatever/

#5 - 01/26/2009 12:09 AM - EgS

I'm just harvesting through the BRs right now and came across BR #409 which sounds pretty similar.

Therefore more questions:
1) did you try stopping the mono build right after the start or after some usage?
2) does quitting via menu work?
https://bugs.quassel.eu/issues/409

#6 - 01/27/2009 12:15 AM - DeepDiver
There is no difference in the behavior if i quit right after startup or later.
Following quit ops are working:

- menu >-guit

<Ctrl>-C on console

- <Alt>-F4

Hanging after:

- context menu of the try icon

- double clicking on the title bars icon
hope this helps.

take care,

tom

#7 - 02/04/2009 01:09 PM - EgS

EgS wrote:

Hmm... some thread doesn't want to exit... very strange.

Could you please test it with a clean config? Aka: clear ~/.quassel and ~/.config/quassel whatever/

That question seems to got lost in the notes. Can you please comment on that?

#8 - 02/11/2009 03:43 PM - EgS
- OS set to Any
EgS wrote:
EgS wrote:
Hmm... some thread doesn't want to exit... very strange.

Could you please test it with a clean config? Aka: clear ~/.quassel and ~/.config/quassel whatever/

That question seems to got lost in the notes. Can you please comment on that?

poke

#9 - 02/17/2009 03:14 PM - DeepDiver
sorry for my late reply.

after cleaning the config dirs it all worked well
THX

Tom

#10 - 03/03/2010 02:14 AM - johu
- Status changed from Feedback to Closed
